org.eclipse.graphiti.ui.platform

## Interface IConfigurationProvider

All Superinterfaces:
  IFeatureProviderHolder

All Known Subinterfaces:
  IConfigurationProviderInternal

All Known Implementing Classes:
  ConfigurationProvider

    public interface IConfigurationProvider
    extends IFeatureProviderHolder

This interface is the wrapping container around the providers and Eclipse parts involved with an editor. So by having access to this interface, it is possible to retrieve every information which might be necessary to build on this framework.

All providers and factories have access to the IConfigurationProvider, to which they belong (backward-pointer). This is necessary, because the providers/factories are sometimes dependent on each other. However, this prohibits the usage of the same instance of a provider/factory in different IConfigurationProviders.

Since:
  0.10

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Disposes this object and frees all resources.
`Diagram` `getDiagram()` Returns the Diagram-Model to display.
`DiagramBehavior` `getDiagramBehavior()` Returns the associated behavior object.
`IDiagramContainerUI` `getDiagramContainer()` Gets the diagram container.
`IDiagramTypeProvider` `getDiagramTypeProvider()` Returns the diagram type provider.
`org.eclipse.ui.IWorkbenchPart` `getWorkbenchPart()` Returns the workbench-part of this configuration-provider.
`boolean` `isDisposed()` Returns true, if this object is already disposed.
`void` `setWorkbenchPart(org.eclipse.ui.IWorkbenchPart workbenchPart)` Sets the workbench-part of this configuration-provider.

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Method Detail

#### dispose

    void dispose()

Disposes this object and frees all resources. This object will be unusable afterwards.

#### isDisposed

    boolean isDisposed()

Returns true, if this object is already disposed.

Returns:
  true, if this object is already disposed.

#### getDiagram

    Diagram getDiagram()

Returns the Diagram-Model to display.

Returns:
  The Diagram-Model to display.

#### setWorkbenchPart

    void setWorkbenchPart(org.eclipse.ui.IWorkbenchPart workbenchPart)

Sets the workbench-part of this configuration-provider. This method should be called, when a workbench-part is available for the configuration-provider. After setting the workbench-part it must not be changed again.

However, it must not be assumed, that this method is ever called. So the workbench-part might always be null. It is just an offer, to support possible further functionality.

Parameters:
  `workbenchPart` - The workbench-part to set.

#### getWorkbenchPart

    org.eclipse.ui.IWorkbenchPart getWorkbenchPart()

Returns the workbench-part of this configuration-provider. Can return null.

Returns:
  The workbench-part of this configuration-provider. Can return null.

#### getDiagramTypeProvider

    IDiagramTypeProvider getDiagramTypeProvider()

Returns the diagram type provider.

Returns:
  diagram type provider

#### getDiagramContainer

    IDiagramContainerUI getDiagramContainer()

Gets the diagram container.

Returns:
  the container which is connected with this configuration-provider

#### getDiagramBehavior

    DiagramBehavior getDiagramBehavior()

Returns the associated behavior object.

Returns:
  The associated instance of `DiagramBehavior`.